Uploaded image for project: 'HBase'
  1. HBase
  2. HBASE-19151

hbase shell from bin tarball warns of missing gems

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 2.0.0-alpha-4
    • Fix Version/s: None
    • Component/s: shell, Usability
    • Labels:
      None

      Description

      mdrob@mdrob-MBP:/tmp/hb2a4/hbase-2.0.0-alpha4$ bin/hbase shell
      2017-11-01 14:39:31,637 WARN  [main] util.NativeCodeLoader: Unable to load native-hadoop library for your platform... using builtin-java classes where applicable
      HBase Shell
      Use "help" to get list of supported commands.
      Use "exit" to quit this interactive shell.
      Version 2.0.0-alpha4, r5c4b985f89c99cc8b0f8515a4097c811a0848835, Tue Oct 31 16:00:33 PDT 2017
      Took 0.0029 seconds
      Ignoring executable-hooks-1.3.2 because its extensions are not built. Try: gem pristine executable-hooks --version 1.3.2
      Ignoring gem-wrappers-1.2.7 because its extensions are not built. Try: gem pristine gem-wrappers --version 1.2.7
      Ignoring rainbow-2.2.2 because its extensions are not built. Try: gem pristine rainbow --version 2.2.2
      

      We should not have warnings like that - either bundle the gems or figure out how to remove them from the execution path.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              mdrob Mike Drob
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: